# This file is part of the Juju GUI, which lets users view and manage Juju
# environments within a graphical interface (https://launchpad.net/juju-gui).
# Copyright (C) 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License version 3, as published by
# the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
# SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Juju GUI redirect server.

The GUI redirect server is a custom-made application based on the
[Tornado](http://www.tornadoweb.org/) framework.

It listens to a given port and serves a "Waiting for the GUI to be ready" page
until the Juju GUI unit is started, and the port redirection is set up.

Setting up the port redirection is responsibility of a command/executable
that is passed as an argument when the GUI redirect server is started. The
command is called passing the Juju GUI unit public address, and is assumed to
exit only when the port redirection is completely and properly set up.

At that point the server just redirects requests to the new port.
"""

VERSION = (0, 1, 0)


def get_version():
    """Return the GUI redirect server version as a string."""
    return '.'.join(map(str, VERSION))
