# This file is part of the Juju GUI, which lets users view and manage Juju
# environments within a graphical interface (https://launchpad.net/juju-gui).
# Copyright (C) 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License version 3, as published by
# the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
# SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""GUI redirect server entry point.

Arguments example:
    --command="/path/to/the/external/command"
    --envname="ec2"
    --listen=4242
    --redirect=4747
    --apiurl="wss://ec2-75-101-177-185.compute-1.example.com:17070" (optional)
    --envfile="~/.juju/environments.yaml" (optional)
    --logging=debug|info|warning|error (optional)

The --listen and --redirect arguments must have different values.

Example running the development server:

    make server SERVER_ARGS=" \
        --command=./examples/command.sh \
        --envname=local \
        --listen=8001 \
        --redirect=8047 \
        --logging=debug"
"""

from guiredirect import manage


if __name__ == '__main__':
    manage.setup()
    manage.run()
